[torquedev] error while loading shared libraries: libtorque.so.0

Raphaël Leplae raphael at scmbb.ulb.ac.be
Fri Mar 2 02:26:14 MST 2007


Dear all,

I just upgraded to torque-2.1.7.
The installation works ok on the cluster gateway which is has Scientific 
Linux (Linux 2.4.21-32.0.1.ELsmp).
I installed the clients on another machine for the users submitting jobs 
  which is running Suse 9.2 (Linux 2.6.8-24.25-bigsmp #1 SMP).
On that machine I used configure as follow:
./configure --with-default-server=arthur --disable-mom --disable-server 
--without-readline
Where arthur is the gateway running pbs_server and maui and 
--without-readline because torque doesn't compile otherwise although 
readline-5.2 is installed.
Compilation and installation went ok but then as standard user, running 
for example qstat gives:
/usr/local/sbin/pbs_iff: error while loading shared libraries: 
libtorque.so.0: cannot open shared object file: No such file or directory
The libtorque.so is installed in /usr/local/lib and running the command 
as root works.
Previous installation (torque-2.0.0p7) was working properly.

Any idea of what might be wrong with this one?

Thanks in advance,

Raphael



More information about the torquedev mailing list